### Method

# WebKit2WebExtension DOMKeyboardEvent init_keyboard_event

deprecated: 2.22

#### Declaration [src]

    void
    webkit_dom_keyboard_event_init_keyboard_event (
      WebKitDOMKeyboardEvent* self,
      const gchar* type,
      gboolean canBubble,
      gboolean cancelable,
      WebKitDOMDOMWindow* view,
      const gchar* keyIdentifier,
      gulong location,
      gboolean ctrlKey,
      gboolean altKey,
      gboolean shiftKey,
      gboolean metaKey,
      gboolean altGraphKey
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`type`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`canBubble`

  Type: `gboolean`

  A #gboolean.

`cancelable`

  Type: `gboolean`

  A #gboolean.

`view`

  Type: `WebKitDOMDOMWindow`

  A `WebKitDOMDOMWindow`.

  The data is owned by the caller of the function.

`keyIdentifier`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`location`

  Type: `gulong`

  A #gulong.

`ctrlKey`

  Type: `gboolean`

  A #gboolean.

`altKey`

  Type: `gboolean`

  A #gboolean.

`shiftKey`

  Type: `gboolean`

  A #gboolean.

`metaKey`

  Type: `gboolean`

  A #gboolean.

`altGraphKey`

  Type: `gboolean`

  A #gboolean.